import { Series } from "./Series";
import { Point, Type } from "igniteui-react-core";
import { Frame } from "./Frame";
import { SeriesView } from "./SeriesView";
import { SeriesHitTestMode } from "./SeriesHitTestMode";
import { NotifyCollectionChangedEventArgs } from "igniteui-react-core";
import { Axis } from "./Axis";
import { Brush } from "igniteui-react-core";
import { Rect } from "igniteui-react-core";
import { Tuple$2 } from "igniteui-react-core";
/**
 * @hidden
 */
export declare abstract class AnnotationLayer extends Series {
    static $t: Type;
    constructor();
    protected bf(): SeriesView;
    i2(a: SeriesView): void;
    protected mi(a: Series): boolean;
    protected ma: AnnotationLayerView;
    mk: boolean;
    ml: boolean;
    nc: Point;
    mf: boolean;
    protected get_cm(): boolean;
    protected bd(): SeriesHitTestMode;
    protected get_cw(): boolean;
    protected get_isUsableInLegend(): boolean;
    protected i7(a: any, b: string, c: any, d: any): void;
    protected nd: Point;
    private m4;
    private m3;
    private mz;
    private my;
    protected mg(a: Axis): boolean;
    private ms;
    protected mh(a: Series): boolean;
    private m2;
    protected mu(a: Axis, b: boolean): void;
    protected mv(a: Series, b: boolean): void;
    private m1;
    private mr;
    protected m9(): Brush;
    protected na(): Brush;
    protected mt(a: NotifyCollectionChangedEventArgs): void;
    protected mw(a: NotifyCollectionChangedEventArgs): void;
    protected mc: Frame;
    protected mb: Frame;
    protected md: Frame;
    protected j1(a: Rect, b: Rect): void;
    protected j0(a: Rect, b: Rect): void;
    jm(a: boolean): void;
    protected get_cj(): boolean;
    protected mx(a: Frame, b: SeriesView): void;
    protected m0(a: Frame, b: SeriesView): void;
    protected mq(a: Series): Tuple$2<boolean, Point>;
    protected ix(a: Point): void;
    nb: Point;
    dw(a: Rect, b: Rect, c: SeriesView): boolean;
    protected get_ds(): boolean;
    private me;
    mj: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class AnnotationLayerView extends SeriesView {
    static $t: Type;
    constructor(a: AnnotationLayer);
    protected bu: AnnotationLayer;
    private bv;
    private bw;
    private b0;
    bx(): void;
    bz(): void;
    by(): void;
}
